Name:           openlmi-networking
Version:        0.0.9
Release:        4%{?dist}
Summary:        CIM providers for network management

License:        LGPLv2+
URL:            http://fedorahosted.org/openlmi/
Source0:        http://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz

# Fix compilation error with NetworkManager 0.9.9
Patch0:         openlmi-networking-0.0.9-fix-for-NM-0.9.9.patch

# Fix confliciting types in the newly autogenerated headers
Patch1:         openlmi-networking-0.0.9-typeconflict.patch

# Upstream name has been changed from cura-networking to openlmi-networking
Provides:       cura-networking%{?_isa} = %{version}-%{release}
Obsoletes:      cura-networking < 0.0.5-1

BuildRequires:  cmake
BuildRequires:  openlmi-providers-devel >= 0.0.19
BuildRequires:  konkretcmpi-devel
BuildRequires:  sblim-cmpi-devel
BuildRequires:  cim-schema
BuildRequires:  glib2-devel
BuildRequires:  check-devel
BuildRequires:  NetworkManager-glib-devel
BuildRequires:  libuuid-devel

# For openlmi-register-pegasus script
Requires:       python2
# sblim-sfcb or tog-pegasus
Requires:       cim-server
# Require openlmi-providers because of registration scripts
Requires:       openlmi-providers >= 0.0.19
# For Linux_ComputerSystem class
Requires:       sblim-cmpi-base

%description
%{name} is set of CMPI providers for network management using
Common Information Model (CIM).


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%files
%doc README COPYING
%{_libdir}/cmpi/libcmpiLMI_Networking.so
%{_datadir}/%{name}/LMI_Networking.mof
%{_datadir}/%{name}/LMI_Networking.reg


%pre
# If upgrading, deregister old version
if [ "$1" -gt 1 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_Networking.mof \
        %{_datadir}/%{name}/LMI_Networking.reg \
        > /dev/null 2>&1 || :;
fi

%post
/sbin/ldconfig
# Register Schema and Provider
if [ "$1" -ge 1 ]; then
    %{_bindir}/openlmi-mof-register register \
        %{_datadir}/%{name}/LMI_Networking.mof \
        %{_datadir}/%{name}/LMI_Networking.reg \
        > /dev/null 2>&1 || :;
fi

%preun
# Deregister only if not upgrading
if [ "$1" -eq 0 ]; then
    %{_bindir}/openlmi-mof-register unegister \
        %{_datadir}/%{name}/LMI_Networking.mof \
        %{_datadir}/%{name}/LMI_Networking.reg \
        > /dev/null 2>&1 || :;
fi

%postun -p /sbin/ldconfig


%changelog
* Fri Aug 02 2013 Tomas Smetana <tsmetana@redhat.com> 0.0.9-4
- add patch for the conflicting data types in the autogenerated headers

* Fri Aug 02 2013 Tomas Smetana <tsmetana@redhat.com> 0.0.9-3
- rebuild for the new konkretcmpi

* Mon Jun 17 2013 Radek Novacek <rnovacek@redhat.com> 0.0.9-2
- Fix for NetworkManager 0.9.9

* Mon Jun 17 2013 Radek Novacek <rnovacek@redhat.com> 0.0.9-1
- Version 0.0.9

* Fri May 10 2013 Radek Novacek <rnovacek@redhat.com> 0.0.8-1
- Version 0.0.8

* Mon Apr 29 2013 Radek Novacek <rnovacek@redhat.com> 0.0.7-1
- Version 0.0.7

* Mon Mar 11 2013 Radek Novacek <rnovacek@redhat.com> 0.0.6-4
- Rebuild for konkretcmpi-0.9.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 23 2012 Radek Novacek <rnovacek@redhat.com> 0.0.6-2
- Add requires to sblim-cmpi-base, needed for Linux_ComputerSystem

* Tue Nov 13 2012 Radek Novacek <rnovacek@redhat.com> 0.0.6-1
- Version 0.0.6
- Upstream changed license from GPLv2+ to LGPLv2+

* Wed Oct 31 2012 Radek Novacek <rnovacek@redhat.com> 0.0.5-3
- Rebuild for fixed version of konkretcmpi

* Thu Oct 25 2012 Radek Novacek <rnovacek@redhat.com> 0.0.5-2
- Remove %isa from obsoletes

* Tue Oct 23 2012 Radek Novacek <rnovacek@redhat.com> 0.0.5-1
- Package rename to openlmi-networking (instead of cura-networking)
- Update to 0.0.5

* Fri Oct 12 2012 Radek Novacek <rnovacek@redhat.com> 0.0.4-1
- Update to 0.0.4

* Thu Sep 06 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-4
- Fix crash when getting length of empty list

* Wed Sep 05 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-3
- Require cura-providers

* Wed Aug 29 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-2
- Patch that add linking against pthread

* Wed Aug 29 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-1
- Update to 0.0.3
- BR: cura-providers
- Don't install files that are common with cura-providers
- Prefix changed to LMI_

* Mon Aug 06 2012 Radek Novacek <rnovacek@redhat.com> 0.0.2-1
- Update to upstream version 0.0.2

* Fri Aug 03 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-1
- Initial package

